package cn.com.qmth.examcloud.support.fss.model;

import io.swagger.annotations.ApiModelProperty;

import java.util.Map;

public class FssSignInfo {

    @ApiModelProperty("文件存储类型")
    private String fsType;

    @ApiModelProperty("文件存储-上传请求地址")
    private String formUrl;

    @ApiModelProperty("文件存储-上传请求签名标识")
    private String signIdentifier;

    @ApiModelProperty("文件存储-上传请求表单参数列表")
    private Map<String, String> formParams;

    @ApiModelProperty("文件存储-当前文件的访问地址")
    private String accessUrl;

    public String getFsType() {
        return fsType;
    }

    public void setFsType(String fsType) {
        this.fsType = fsType;
    }

    public String getFormUrl() {
        return formUrl;
    }

    public void setFormUrl(String formUrl) {
        this.formUrl = formUrl;
    }

    public String getSignIdentifier() {
        return signIdentifier;
    }

    public void setSignIdentifier(String signIdentifier) {
        this.signIdentifier = signIdentifier;
    }

    public Map<String, String> getFormParams() {
        return formParams;
    }

    public void setFormParams(Map<String, String> formParams) {
        this.formParams = formParams;
    }

    public String getAccessUrl() {
        return accessUrl;
    }

    public void setAccessUrl(String accessUrl) {
        this.accessUrl = accessUrl;
    }

}
